﻿/* Respuestas */

.input-rounded {
    border-radius: 1rem;
    display: block !important;
    margin-left: auto;
    margin-right: auto;
}

.dlk-radio input[type="radio"],
.dlk-radio input[type="checkbox"] {
    margin-left: -99999px;
    display: none;
}

    .dlk-radio input[type="radio"] + .fa,
    .dlk-radio input[type="checkbox"] + .fa {
        opacity: 0.15
    }

    .dlk-radio input[type="radio"]:checked + .fa,
    .dlk-radio input[type="checkbox"]:checked + .fa {
        opacity: 1
    }

.dropdown-menu {
}

.mx-auto {
    margin-right: auto;
    margin-left: auto;
}

.text-danger-custom {
    font-size: 11.8px;
    font-weight: bold;
    color: #E74C3C;
    margin-bottom: 0px;
    padding: 0px;
    text-align: center;
}

/* Toggle */

.onoffswitch2 {
    margin-right: auto;
    margin-left: auto;
    position: relative;
    width: 90px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
}

.onoffswitch2-checkbox {
    display: none;
}

.onoffswitch2-label {
    display: block;
    overflow: hidden;
    cursor: pointer;
    border-radius: 5px;
}

.onoffswitch2-inner {
    display: block;
    width: 200%;
    margin-left: -100%;
    -moz-transition: margin 0.3s ease-in 0s;
    -webkit-transition: margin 0.3s ease-in 0s;
    -o-transition: margin 0.3s ease-in 0s;
    transition: margin 0.3s ease-in 0s;
}

    .onoffswitch2-inner:before, .onoffswitch2-inner:after {
        display: block;
        float: left;
        width: 50%;
        padding: 0;
        line-height: 40px;
        font-size: 14px;
        color: white;
        font-weight: normal;
        -moz-box-sizing: border-box;
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
        height: 40px;
    }

    .onoffswitch2-inner:before {
        content: "Si";
        padding-left: 0px;
        background-color: #17a2b8;
        color: #FFFFFF;
    }

    .onoffswitch2-inner:after {
        content: "No";
        padding-right: 30px;
        background-color: #f8f9fa;
        color: #3a3f52;
        text-align: right;
    }

.onoffswitch2-switch {
    display: block;
    width: 18px;
    margin: 0px;
    background: #ECF0F1;
    border-radius: 5px;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 68px;
    -moz-transition: all 0.3s ease-in 0s;
    -webkit-transition: all 0.3s ease-in 0s;
    -o-transition: all 0.3s ease-in 0s;
    transition: all 0.3s ease-in 0s;
    background-image: -moz-linear-gradient(center top, rgba(0,0,0,0.1) 0%, rgba(0,0,0,0) 100%);
    background-image: -webkit-linear-gradient(center top, rgba(0,0,0,0.1) 0%, rgba(0,0,0,0) 100%);
    background-image: -o-linear-gradient(center top, rgba(0,0,0,0.1) 0%, rgba(0,0,0,0) 100%);
    background-image: linear-gradient(center top, rgba(0,0,0,0.1) 0%, rgba(0,0,0,0) 100%);
}

.onoffswitch2-checkbox:checked + .onoffswitch2-label .onoffswitch2-inner {
    margin-left: 0;
}

.onoffswitch2-checkbox:checked + .onoffswitch2-label .onoffswitch2-switch {
    right: 0px;
}



/*PRELOADING------------ */
#overlayer {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100vh;
    background: #6075db;
    z-index: 1000;
}

.loader {
    width: 30px;
    height: 30px;
    position: fixed;
    z-index: 1000;
    border: 4px solid #Fff;
    top: 50%;
    right: 50%;
    left: 50%;
    animation: loader 2s infinite ease;
}

.loader-inner {
    vertical-align: top;
    display: inline-block;
    width: 100%;
    background-color: #fff;
    animation: loader-inner 2s infinite ease-in;
}

@keyframes loader {
    0% {
        transform: rotate(0deg);
    }

    25% {
        transform: rotate(180deg);
    }

    50% {
        transform: rotate(180deg);
    }

    75% {
        transform: rotate(360deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes loader-inner {
    0% {
        height: 0%;
    }

    25% {
        height: 0%;
    }

    50% {
        height: 100%;
    }

    75% {
        height: 100%;
    }

    100% {
        height: 0%;
    }
}
